# class KMimeTypeValidator

###

Module | kdeui
Namespace |
Class | KMimeTypeValidator
Inherits | QValidator

### methods

- KMimeTypeValidator (parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0

  Creates a new mime type validator.

- KMimeTypeValidator (a0)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QObject | 0

- fixup (input)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  input | QString |

  Removes all characters that are forbidden in mimetypes.

- validate (input)

  returns QValidator.State, int (pos)

  Argument | Type | Default
  --- | --- | ---
  input | QString |

  Checks for well-formed mimetype. Returns

- Acceptable iff input ~= /^[:allowed chars:]+\/[:allowed chars:]+$/
- Intermediate iff input ~= /^[:allowed chars:]*\/?[:allowed chars:]*$/
- Invalid else